#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int n,x,minx,maxx,X;
    cin>>n>>x;
    minx=n;
    maxx=n;
    for(int i=0;i<n;i++){
        cin>>X;
        if(X<minx){
            minx=X;
        }
        else if(X>maxx){
            maxx=X;
        }
    }
    int r1=abs(maxx-x);
    int r2=abs(x-minx);
    cout << (maxx-minx)+(min(r1,r2)) << endl;
    return 0;
}